# usdrate

`usdrate`は、七十七銀行の為替情報サイトからUSD/JPYの仲値データを取得・キャッシュし、指定した日付の為替レートを簡単に問い合わせるためのCLIツールです。RSUの申告の際に過去にVestされた際の仲値を一々調べるのが辛くなって作りました。

## 動作概要

- キャッシュデータの確認をし、なかった場合は現在の西暦および過去7年分（合計8年分）の為替データを七十七銀行から取得します
- キャッシュデータはパッケージ内のキャッシュディレクトリに保存され、以降の実行で再利用されます
- 指定した日付のUSD/JPY仲値をコマンドラインから問い合わせができます

## インストール

以下のコマンドでインストールできます:

    pip install usdrate

## 使い方

### 基本的な使い方

指定した日付の為替仲値を取得するには、以下のようにコマンドを実行します:

    usdrate 2024/08/27
    The USD/JPY mid rate on 2024-08-27 is 144.86.

このコマンドは、2024年8月27日のUSD/JPY仲値を表示します。

### キャッシュの強制更新

キャッシュを更新したい場合は、`--update`または`-u`オプションを使用します:

    usdrate 2024/01/01 --update

このコマンドは、キャッシュを更新し、指定した日付の為替仲値を取得します。


## ライセンス

このプロジェクトはMITライセンスの下で公開されています。

## 作者

kon0n0 (kono@ms1.kononet.jp)
